import axios from "@/utils/request";
let BUSINESS_PRE = "/udiwms";

export function getList(query) {
  return axios({
    url: BUSINESS_PRE + '/sysApprovalFlowConfig/filter',
    method: 'get',
    params: query
  })
}

export function getConfigDetailList(query) {
  return axios({
    url: BUSINESS_PRE + '/sysApprovalFlowConfig/detail',
    method: 'get',
    params: query
  })
}

export function addConfigDetail(query) {
  return axios({
    url: BUSINESS_PRE+"/sysApprovalFlowConfig/addConfigDetail",
    method: "post",
    data: query
  });
}


// 删除
export function removeDetail(id) {
  return axios({
    url: BUSINESS_PRE+`/sysApprovalFlowConfig/removeDetail/${id}`,
    method: "DELETE"
  });
}
